#ifndef CTAI_CMD_H
#define CTAI_CMD_H

#include <QPlainTextEdit>
#include <QPushButton>
#include <QVBoxLayout>
#include <QLineEdit>
#include <QProcess>
#include <QStringList>
#include <QMessageBox>
#include <QProcess>
class ctai_cmd : public QWidget {
    Q_OBJECT
public:
    ctai_cmd();
    ~ctai_cmd();
private slots:
    void slots_executeCommand(const QString &command);
    void slots_readProcessOutput();
private:
    QPlainTextEdit* textEdit;
    QProcess*       process;
};

#endif 